Batch shipping plan
POST https://{handle}.myshopline.com/admin/openapi/v20261201/logistics/shipping_zones.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
shipping_zonesobject
Setting area plan objectdelivery_plansobject[] required
Multiple zone schemes objectarea_name string requiredRegional plan nameareasobject[] required
Zones objectarea_codes arrayNon-country address encoding ( such as province , city )Example:[""]country_code string requiredCountry codeshipping_plansobject[] required
Shipping information objectintervalsobject[]
Range object ( when conditionalInterval equals 2、3、4 , must be transferred )start_interval stringStart zone ( double type string for accuracy 2 )custom_amount stringCustom shipping amount ( double type string for accuracy 2 , when chargeMode=3 , for fixed shipping amount )end_interval stringEnd zone ( double type string for accuracy 2 )first_amount stringStarting amount ( double type string for accuracy 2 ) eg. " 1.08 "first_measure stringStarting amount ( double type string for accuracy 2 ) eg. " 1.08 "incr_amount stringAmount of continued ( double type string for precision 2 ) eg. " 1.08 "incr_measure stringContinued ( double type string for precision 2 ) eg. " 2.01 "measure_unit stringUnit of measurement ( kg-kg , g-g , lb-lb , oz-oz , when chargeMode=1 , required ) eg. kgcharge_mode integer requiredCharge mode ( 1- by weight , 3- by-item fee , 4- fixed shipping ) must be within the right range [ 1 , 4 ]delivery_name string requiredShipping plan name , shipping name will be displayed to the user to seefirst_amount stringStarting amount ( double type string for accuracy 2 ) eg. " 1.08 "conditional_interval integer requiredConditions range ( 1- none , 2- number of units per Product , 3- weight per order , 4- price per order ) must be within a suitable range [ 1 , 4] eg. 1incr_amount stringAmount of continued ( double type string for precision 2 ) eg. " 1.08 "measure_unit stringUnit of measurement ( kg-kg , g-g , lb-lb , oz-oz , when chargeMode=1 , required ) eg. kgcustom_amount stringCustom shipping amount ( double type string for accuracy 2 , when chargeMode=3 , for fixed shipping amount )first_measure stringStarting volume ( double type string of precision 2 , when chargeMode=2 , must be whole number ) eg : " 1.08 "incr_measure stringContinued ( double type string for precision 2 ) eg. " 2.01 "group_type integerShipping configuration type ( 1 : general grouping , 2 : custom grouping , default 1 general grouping if not transmitted )Example:1product_group_infoobject
Item group informationproduct_group_name stringProduct group name , groupType is required when 2 custom grouping ; groupType is default value when 1 general grouping : general groupingproduct_group_seq stringProduct grouped serial number , required during update , empty addproduct_ids arrayProduct serial number list , groupType is required for 2 custom grouping ( Product spu serial number )Example:["[\"18053690657964710749100412\",\"18055123775710848634010412\"]"]
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
shipping_zoneobject
Shipping plan settings return objectis_success booleanSuccess ( true or not : success , false : failure )ext_map mapExpand informationExample:{}group_seq stringGrouping unique serial number
API Explorer
Debugger
Was this article helpful to you?